%{?!_licensedir:%global license %%doc}
%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-hardware
Summary:        Hardware detection and classification utilities
Version:        0.14
Release:        7%{?dist}
License:        ASL 2.0
Group:          Development/Languages
URL:            https://pypi.python.org/pypi/hardware

Source0:        https://pypi.python.org/packages/source/h/hardware/hardware-%{version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-Fix-empty-print-statements.patch
Patch0002: 0002-Resist-to-an-invalid-UTF-8-string-from-the-hardware-.patch

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
%endif # if with_python3
BuildRequires:  python-pbr
BuildRequires:  python-sphinx
BuildRequires:  python-oslo-sphinx
Requires: python-babel
Requires: python-ipaddr
Requires: python-netaddr
Requires: pexpect
Requires: python-ptyprocess
Requires: python-pandas
Requires: python-pbr
Requires: fio
Requires: sysbench

%prep
%setup -q -n hardware-%{version}

%patch0001 -p1
%patch0002 -p1

rm -rf *.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%{__python2} setup.py build
%{__python2} setup.py build_sphinx
rm -rf doc/build/html/.buildinfo

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%description
Hardware detection and classification utilities.
Features:
* detect hardware features of a Linux systems:
** RAID
** hard drives
** IPMI
** network cards
** DMI infos
** memory settings
** processor features
* filter hardware according to hardware profiles

%if 0%{?with_python3}
%package -n python3-hardware
Summary:        Hardware detection and classification utilities
Group:          Development/Languages
Requires: python3-babel
Requires: python3-netaddr
Requires: python3-pexpect

%description -n python3-hardware
Hardware detection and classification utilities.
Features:
* detect hardware features of a Linux systems:
** RAID
** hard drives
** IPMI
** network cards
** DMI infos
** memory settings
** processor features
* filter hardware according to hardware profiles
%endif # with_python3

%package doc
Summary:    Documentation for Hardware detection and classification utilities
Group:      Documentation

%description doc
Documentation for Hardware detection and classification utilities.


%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/hardware*
%exclude %{python2_sitelib}/hardware/test*
%{_bindir}/hardware-detect
%{_bindir}/hardware-cardiff

%files doc
%license LICENSE
%doc doc/build/html

%if 0%{?with_python3}
%files -n python3-hardware
%license LICENSE
%doc README.rst
%{python3_sitelib}/hardware*
%exclude %{python3_sitelib}/hardware/test*
%endif # with_python3

%changelog
* Thu Sep 03 2015 John Trowbridge <trown@redhat.com> 0.14-7
- Resist to an invalid UTF-8 string from the hardware detection

* Tue May 26 2015 Mike Burns <mburns@redhat.com> 0.14-6
- add fio and sysbench dependencies

* Mon May 11 2015 Mike Burns <mburns@redhat.com> 0.14-5
- Fix empty print statements

* Mon May 11 2015 Mike Burns <mburns@redhat.com> 0.14-4
- Fix empty print statements

* Thu May 07 2015 Mike Burns <mburns@redhat.com> 0.14-3
- change requires to pexpect from python-pexpect

* Thu May 07 2015 Mike Burns <mburns@redhat.com> 0.14-2
- Update to upstream 0.14

* Thu May 07 2015 Mike Burns <mburns@redhat.com> 0.14-1
- Update to upstream 0.14

* Tue Feb 24 2015 Dmitry Tantsur <divius.inside@gmail.com> - 0.11-1
- new version (bug #1195701)

* Fri Feb 13 2015 Dmitry Tantsur <dtantsur@redhat.com> - 0.9-1
- Initial package build

